
##############################################################################
#                                                                            #
#                  IMPINJ CONFIDENTIAL AND PROPRIETARY                       #
#                                                                            #
# This source code is the sole property of Impinj, Inc.  Reproduction or     #
# utilization of this source code in whole or in part is forbidden without   #
# the prior written consent of Impinj, Inc.                                  #
#                                                                            #
# (c) Copyright Impinj, Inc. 2009. All rights reserved.                      #
#                                                                            #
##############################################################################


##############################################################################
#
# $Id: SConscript 59908 2009-09-22 17:52:35Z dshaheen $
# 
#  Description: Build script that recurses into the appropriate directory
#      
#
##############################################################################


Import("env")

# NOTE:  The following logic may look identical in both paths due to 
#        stripping of additional paths performed at release time
#
if env["lib"]:  
    SConscript([ "compat/SConscript",
             "transport/SConscript",
             "rfid_library/SConscript" ])
else:    
    SConscript([ "compat/SConscript",
             "transport/SConscript",
             "rfid_library/SConscript",
 ])
